Subject: Re: [mif] [MEXT] Multiple interfaces problems in MEXT and mif

From: Thierry Ernst <[email-masked]>
Date: Wed, 28 Jan 2009 11:07:21 +0100

Dear all,

The work on mobile edge multihoming (multiple interface support) started 
in the NEMO WG where we published RFC 4980 “Analysis of Multihoming in 
Network Mobility Support”.  This document expresses the problem 
statement for multihomed mobile routers and mobile networks with 
multiple mobile routers.

A similar document "Analysis of Multihoming in Mobile IPv6"
http://tools.ietf.org/html/draft-ietf-monami6-mipv6-analysis-05
has been started under the framework of the MonAmi6 WG and is now a work 
item in MeXT, as pointed out by Marcelo.

In addition, another draft explaining the motivations also exists
http://tools.ietf.org/html/draft-ietf-monami6-multihoming-motivation-scenario-03

These two drafts correspond to the 2 MeXT WG items as reminded by 
Marcelo (we need to republish them, though - the lack of progress on 
these documents is due to a number of reasons and the recent activity on 
this topic is pleading for a quick update - and I'm will willing to do 
it ASAP given this interest).

So, I think MIF shall be referring to these 3 documents (RFC 4980 and 
the 2 above mentioned drafts) since the purpose of these documents is to 
document the issues for mobile hosts and routers.

Regards,
Thierry

marcelo bagnulo braun wrote:
> Hi,
>
> In the current MEXT charter there are several items about supporting 
> multiple interfaces, including the following two:
>
> - A document explaining the motivations for a node using multiple
> interfaces and the scenarios where it may end up with multiple
> global addresses on its interfaces [Informational]
>
> - An analysis document explaining what are the limitations for
> mobile hosts using multiple simultaneous Care-of Addresses and Home
> Agent addresses using Mobile IPv6, whether issues are specific to
> Mobile IPv6 or not [Informational].
>
> I think this is very similar to the scope of one of you documents at 
> least, so i would find very strange that the same work is chartered in 
> two different working groups.
>
> Moreover, we do have wg documents for these two, but we find very hard 
> to find reviewers for those, which makes me think that there is not 
> much interest on these. So, if you find a more motivated crew to do 
> the work, that would be great, we can either do it in mext or 
> soemwhere else, if people feels that needs to be done, but that is 
> certainly not the feeling i am getting from the input in mext
>
> Regards, marcelo
>
>
>
> Hong Yong-Geun escribió:
>>
>> Hi, all in MEXT and mif.
>>
>>  
>>
>> In IETF mif (Multiple Interface) mailing list 
>> (_https://www.ietf.org/mailman/listinfo/mif_ 
>> <https://www.ietf.org/mailman/listinfo/mif>),
>>
>> we now discuss the host which would like to use multiple interfaces.
>>
>> I understand that MEXT WG is also related to the use of multiple 
>> interfaces of a host
>> using Mobile IPv6 or a mobile router using NEMO Basic Support and 
>> their variants
>>
>> MEXT WG is focuing on monami6 related topic (multiple CoA, Multiple 
>> HoA, and Multple HA, etc.,)
>> and extedning Mobile IPv6 and NEMO for these, but mif is not related 
>> to this direction.
>> In mif, source address selection, routing and DNS control protocol 
>> are consideration items
>> due to multiple interfaces of a host.
>>
>>  
>>
>> For mif’s scope, Jari Arkko made some comments and classification of 
>> problems.
>>
>> _http://www.ietf.org/mail-archive/web/mif/current/msg00050.html_
>>
>> Among these classification which includes access selection, split 
>> DNS, configuration reconciliation,
>> routing, address selection, tunnel multihoming, and the communication 
>> way between the host and
>> the network about their policies regarding all of the above, Jari 
>> said that access selection is already
>> coverd in RFC 5113 and tunnel multihoming is already covered in MEXT 
>> WG work items.
>>
>>  
>>
>> At monami6 WG in 64th IETF meetinng, I submitted and presented two 
>> Internet Drafts.
>>
>> - Analysis of multiple interfaces in a Mobile Node
>>
>> _http://tools.ietf.org/id/draft-hong-multipleif-mn-pb-statement-00.txt_
>>
>> - Virtual network interface for multiple interfaces in a Mobile node 
>> using Mobile IPv6
>>
>> _http://tools.ietf.org/id/draft-hong-virtualif-mn-mipv6-00.txt_ 
>> <http://tools.ietf.org/id/draft-hong-virtualif-mn-mipv6-00.txt>
>>
>> Because these two drafts were not in the monami6 WG’s scope and 
>> virtual network interface draft was
>>
>> implementation specific, there were not adoped in monami6 WG’s work 
>> items. The intentions of two drafts
>> are supporting multiple interfaces of a host without extending Mobile 
>> IPv6/NEMO.
>>
>>  
>>
>> I think that multiple interfaces problems of a host are related to 
>> both Mobile IP/NEMO specific issues and
>> general network issues. Mobile IP/NEMO specific issues are related to 
>> extending of Mobile IP/NEMO and
>> these are already studied in MEXT WG and general network issues which 
>> were not related to
>> Mobile IP/NEMO could be studied in mif. As same manner, I think that 
>> my drafts could be discussed and
>> developed in mif. In the first draft (Analysis document), I 
>> classified multiple interface problems into
>> Mobile IPv6-sepcific issues, General network issues, and 
>> heterogeneous environment issues.
>>
>>  
>>
>> Including Hui Deng in mif, with regarding to these drafts, they want 
>> to hear comments from MEXT WG’s point of view,
>> because it seems that these drafts are quite related to monami6/MEXT 
>> WG. So, I ask MEXT to review whether there are
>>
>> some overlap between MEXT works and my drafts or not.
>>
>> It is appreciate to give comments.
>>
>>  
>>
>> Best regards.
>>
>> Yong-Geun.
>>
>
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext

_______________________________________________
mif mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mif

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 28 Jan 2009 10:40:09 +0100

Hi,

Moreover, we do have wg documents for these two, but we find very hard 
to find reviewers for those, which makes me think that there is not much 
interest on these. So, if you find a more motivated crew to do the work, 
that would be great, we can either do it in mext or soemwhere else, if 
people feels that needs to be done, but that is certainly not the 
feeling i am getting from the input in mext

Regards, marcelo

Hong Yong-Geun escribió:
> In mif, source address selection, routing and DNS control protocol are 
> consideration items
> Among these classification which includes access selection, split DNS, 
> configuration reconciliation,
> the network about their policies regarding all of the above, Jari said 
> that access selection is already
> developed in mif. In the first draft (Analysis document), I classified 
> multiple interface problems into
> Mobile IPv6-sepcific issues, General network issues, and heterogeneous 
> environment issues.
>
>  
>

---

From: Marc Blanchet <[email-masked]>
Date: Thu, 29 Jan 2009 15:04:06 -0500

> feeling i am getting from the input in mext

to me, the main difference is that the 'multiple interface' issue is not
bound to mobility, and more specifically to mobility protocols
(mobileIPv4, mobileipv6, nemo, ...).

Therefore, the MIF work is not scoping about mobility protocols and
shall not require mobility protocols.

I would see that if some part of the MIF work is looking at the mobility
protocols, then these should be then "transfered" to MEXT.

Marc.

-- 
=========
IPv6 book: Migrating to IPv6, Wiley. http://www.ipv6book.ca
Stun/Turn server for VoIP NAT-FW traversal: http://numb.viagenie.ca
DTN news service: http://reeves.viagenie.ca

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 29 Jan 2009 21:09:55 +0100

makes sense to me

---

From: Scott Brim <[email-masked]>
Date: Thu, 29 Jan 2009 15:26:44 -0500

Excerpts from marcelo bagnulo braun on Thu, Jan 29, 2009 09:09:55PM
+0100:
> makes sense to me
>
> Marc Blanchet escribió:
>> to me, the main difference is that the 'multiple interface' issue
>> is not bound to mobility, and more specifically to mobility
>> protocols (mobileIPv4, mobileipv6, nemo, ...).
>>
>> I would see that if some part of the MIF work is looking at the
>> mobility protocols, then these should be then "transfered" to MEXT.

Even without mobility considerations, the issue of how to handle
multiple interfaces overlaps with IntArea, RRG, and Behave (those are
the ones I can think of offhand).  Have you seen the arguments, for
example, about session initialization when multiple addresses can be
in play simultaneously at both ends?  I apologize but I still don't
understand the MIF boundaries.

Thanks ... Scott

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 29 Jan 2009 21:33:33 +0100

> understand the MIF boundaries.

I wrote a draft a long time ago about the problems for selecting the 
source address in multiaddressed hosts, not sure if this is related to 
what you asking about...

you can check it at

http://www.watersprings.org/pub/id/draft-bagnulo-6man-rfc3484-update-00.txt

regards, marcelo

---

From: Marc Blanchet <[email-masked]>
Date: Thu, 29 Jan 2009 15:36:24 -0500

> http://www.watersprings.org/pub/id/draft-bagnulo-6man-rfc3484-update-00.txt

there is an address selection design team that is looking at this currently.

Marc.

---

From: Marc Blanchet <[email-masked]>
Date: Thu, 29 Jan 2009 15:41:48 -0500

> understand the MIF boundaries.

of course, there is overlap, as most IETF issues and work span over
multiple groups.

to me, the question in hand is the following:
a) do we think this is a "real" problem
b) if yes, then what should we do with it.
c) if what = possible wg, then write charter, ...

to me, a) and b) are clearly subject of the BOF. c) depends on the
outcome of the BOF.

Looking at the various comments over the past weeks, it might be good
that we (the initial proposers or anyone I shall say) should write a
possible wg charter based on the discussions. We might then define the
scope and the out of scope...

Marc.

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 29 Jan 2009 21:44:03 +0100

> there is an address selection design team that is looking at this currently.
mmm, not really
maybe i missing somehting, but i understnad that the scope of the design 
team is limited to the automatic update of the rfc3484 policy table, and 
they are not dealing with the issue of how the properly select the 
source address, for instance, in the case that you need to retry due to 
ingress filtering and the like

regards, marcelo

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 29 Jan 2009 21:56:15 +0100

> scope and the out of scope...
that would be perfect imho

now it is a bit confusing what is the scope of this effort at least for me

thanks, marcelo